aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoseph Jon Booker <joe@neoturbine.net>2014-02-03 23:15:48 -0500
committerJoseph Jon Booker <joe@neoturbine.net>2014-02-03 23:15:48 -0500
commitee5f8b256e5f23c1b79128e4ffb6dc69b9eba759 (patch)
treeb87a1b05adf4e3d649dc76916210926124bce9bc /sci-astronomy
parentsci-physics/lammps: Udpating checksum for upstream tar. (diff)
downloadsci-ee5f8b256e5f23c1b79128e4ffb6dc69b9eba759.tar.gz
sci-ee5f8b256e5f23c1b79128e4ffb6dc69b9eba759.tar.bz2
sci-ee5f8b256e5f23c1b79128e4ffb6dc69b9eba759.zip
sci-astronomy/casapy-bin: Add ebuild for casapy
Package-Manager: portage-2.2.8-r1
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/casapy-bin/ChangeLog9
-rw-r--r--sci-astronomy/casapy-bin/Manifest1
-rw-r--r--sci-astronomy/casapy-bin/casapy-bin-4.2.0_pre10_p1.ebuild68
-rw-r--r--sci-astronomy/casapy-bin/metadata.xml6
4 files changed, 84 insertions, 0 deletions
diff --git a/sci-astronomy/casapy-bin/ChangeLog b/sci-astronomy/casapy-bin/ChangeLog
new file mode 100644
index 000000000..fdd7971ef
--- /dev/null
+++ b/sci-astronomy/casapy-bin/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-astronomy/casapy-bin
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*casapy-bin-4.2.0_pre10_p1 (04 Feb 2014)
+
+ 04 Feb 2014; Joseph Jon Booker <joe@neoturbine.net>
+ +casapy-bin-4.2.0_pre10_p1.ebuild, +metadata.xml:
+ sci-astronomy/casapy-bin: Add ebuild for casapy
diff --git a/sci-astronomy/casapy-bin/Manifest b/sci-astronomy/casapy-bin/Manifest
new file mode 100644
index 000000000..ac8fae5fe
--- /dev/null
+++ b/sci-astronomy/casapy-bin/Manifest
@@ -0,0 +1 @@
+DIST casapy-42.0.prerelease-10-1-64b.tar.gz 985352461 SHA256 3919e177d06c2df86861245ebd972eff543f0b67d3288e885915766239073f48 SHA512 16cefe680580f652c71fe32b729c37960f5075aeaf3b6efce6d73e85525d3808c505092196ddfb36fe23ff8994d49a43470cc039f8210e23336b5ad69040481c WHIRLPOOL 7605d8e5c59cc1686b0a8d8548d69cf662bbf0409d2ab5c0d64a695ba85905748fdf25b7476000a06471bfc6e88bc543f795e88468afb41f263d95ba51b7b297
diff --git a/sci-astronomy/casapy-bin/casapy-bin-4.2.0_pre10_p1.ebuild b/sci-astronomy/casapy-bin/casapy-bin-4.2.0_pre10_p1.ebuild
new file mode 100644
index 000000000..86f0d1489
--- /dev/null
+++ b/sci-astronomy/casapy-bin/casapy-bin-4.2.0_pre10_p1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+inherit versionator
+
+DESCRIPTION="Software package to calibrate, image, and analyze radioastronomical data."
+HOMEPAGE="http://casa.nrao.edu/"
+MY_P=$(version_format_string '${PN%-bin}-$1$2.$3.prerelease-${4#pre}-${5#p}-64b')
+SRC_URI="https://svn.cv.nrao.edu/casa/linux_distro/prerelease/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="
+ app-crypt/mit-krb5
+ dev-db/sqlite
+ dev-libs/glib
+ dev-libs/icu
+ dev-libs/libxslt
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/gst-plugins-base
+ media-libs/libjpeg-turbo
+ media-libs/mesa
+ media-libs/tiff
+ sci-libs/gsl
+ sci-libs/pgplot
+ sys-apps/keyutils
+ sys-apps/util-linux
+ sys-devel/gcc[fortran]
+ virtual/libffi
+ x11-libs/libdrm
+ x11-libs/libSM
+ x11-libs/libXau
+ x11-libs/libXcursor
+ x11-libs/libXdmcp
+ x11-libs/libXi
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+"
+
+S="${WORKDIR}/${MY_P}"
+QA_PREBUILT="/opt/casapy/* /opt/casapy/sbin/* /opt/casapy/lib64/*"
+
+src_compile() { :; }
+
+src_install() {
+ dodir /opt/
+ cp -R "${S}" "${D}/opt/casapy" || die "Could not copy casapy into ${D}/opt"
+
+ dodir /opt/bin
+ cd "${D}/opt/casapy/bin"
+ for binary in `ls`
+ do
+ dosym ../casapy/$binary /opt/bin/$binary
+ done
+}
+
+pkg_postinst() {
+ einfo "CASA will use media-gfx/graphviz if this package is installed."
+ ewarn "Upstream warns that SElinux must be disabled, set to permissive, or configured to allow execheap."
+}
diff --git a/sci-astronomy/casapy-bin/metadata.xml b/sci-astronomy/casapy-bin/metadata.xml
new file mode 100644
index 000000000..6b92b3336
--- /dev/null
+++ b/sci-astronomy/casapy-bin/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-astronomy</herd>
+ <longdescription>CASA, the Common Astronomy Software Applications package, is being developed with the primary goal of supporting the data post-processing needs of the next generation of radio astronomical telescopes such as ALMA and VLA.</longdescription>
+</pkgmetadata>